package com.shanghaichengdi.downloadcenterserver.controller;

import com.alibaba.fastjson.JSONObject;
import com.shanghaichengdi.downloadcenterserver.service.BoatWarningService;
import com.shanghaichengdi.downloadcenterserver.util.PrintLogUtils;
import java.util.Map;
import javax.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/bayonet/warn")
public class BayonetWarningController {

  @Resource
  BoatWarningService boatWarningService;

  @PostMapping("/cx")
  public void cxExecute(@RequestBody Map<String, Object> req) {
    try {
      boatWarningService.cxExecute();
    } catch (Exception e) {
      log.error("超限预警补数过程中出错,原因:{}", e.getMessage());
      PrintLogUtils.printErrorLogInfo(e);
    }
  }


  @PostMapping("/zsCz")
  public String zsExecute(@RequestBody Map<String, Object> req) {
    Integer total = 0;
    try {
      total = boatWarningService.zsExecute();
    } catch (Exception e) {
      log.error("证书预警补数过程中出错,原因:{}", e.getMessage());
      PrintLogUtils.printErrorLogInfo(e);
    }
    return JSONObject.toJSONString(new String("生成结束共:" + total + " 条预警数据"));
  }
}
