package com.shanghaichengdi.downloadcenterserver.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 船舶预警
 * @TableName BOAT_WARNING
 */
@TableName(value ="BAYONET_BUSSINESS.BOAT_WARNING")
@Data
public class BoatWarning implements Serializable {
    /**
     * 
     */
    @TableId(value = "CODE")
    private String code;

    /**
     * 对应datafusion表code
     */
    @TableField(value = "EVENTCODE")
    private String eventcode;

    /**
     * 预警编号
     */
    @TableField(value = "WARNCODE")
    private String warncode;

    /**
     * 预警时间
     */
    @TableField(value = "WARNING_TIME")
    private Date warningTime;

    /**
     * 预警类别：zd_warning_type表id
     */
    @TableField(value = "WARNING_TYPE")
    private String warningType;

    /**
     * 船舶名称
     */
    @TableField(value = "BOAT_NAME")
    private String boatName;

    /**
     * 进出港时间
     */
    @TableField(value = "PASS_TIME")
    private Date passTime;

    /**
     * 预警状态:0：未解除；1、解除
     */
    @TableField(value = "WARNING_STATUS")
    private Long warningStatus;

    /**
     * 预警详情
     */
    @TableField(value = "WARNING_DETAIL")
    private String warningDetail;

    /**
     * 处置内容
     */
    @TableField(value = "DEAL_CONTENT")
    private String dealContent;

    /**
     * 解除原因
     */
    @TableField(value = "REMOVE_REASON")
    private String removeReason;

    /**
     * 预警状态:0：未处置；1、已处置
     */
    @TableField(value = "DEAL_STATUS")
    private Long dealStatus;

    /**
     * 检查记录
     */
    @TableField(value = "INSPECT_RECORD")
    private String inspectRecord;

    /**
     * 通知执法人员登船检查的时间
     */
    @TableField(value = "PD_TIME")
    private Date pdTime;

    /**
     * 给船舶联系人发短信时间
     */
    @TableField(value = "LXCY_TIME")
    private Date lxcyTime;

    /**
     * 检查记录提交时间
     */
    @TableField(value = "JLTJ_TIME")
    private Date jltjTime;

    /**
     * 解除预警时间
     */
    @TableField(value = "JCYJ_TIME")
    private Date jcyjTime;

    /**
     * 预警处置时间
     */
    @TableField(value = "CZ_TIME")
    private Date czTime;

    /**
     * 检查人员1
     */
    @TableField(value = "STAFF1")
    private String staff1;

    /**
     * 检查人员2
     */
    @TableField(value = "STAFF2")
    private String staff2;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BoatWarning other = (BoatWarning) that;
        return (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getEventcode() == null ? other.getEventcode() == null : this.getEventcode().equals(other.getEventcode()))
            && (this.getWarncode() == null ? other.getWarncode() == null : this.getWarncode().equals(other.getWarncode()))
            && (this.getWarningTime() == null ? other.getWarningTime() == null : this.getWarningTime().equals(other.getWarningTime()))
            && (this.getWarningType() == null ? other.getWarningType() == null : this.getWarningType().equals(other.getWarningType()))
            && (this.getBoatName() == null ? other.getBoatName() == null : this.getBoatName().equals(other.getBoatName()))
            && (this.getPassTime() == null ? other.getPassTime() == null : this.getPassTime().equals(other.getPassTime()))
            && (this.getWarningStatus() == null ? other.getWarningStatus() == null : this.getWarningStatus().equals(other.getWarningStatus()))
            && (this.getWarningDetail() == null ? other.getWarningDetail() == null : this.getWarningDetail().equals(other.getWarningDetail()))
            && (this.getDealContent() == null ? other.getDealContent() == null : this.getDealContent().equals(other.getDealContent()))
            && (this.getRemoveReason() == null ? other.getRemoveReason() == null : this.getRemoveReason().equals(other.getRemoveReason()))
            && (this.getDealStatus() == null ? other.getDealStatus() == null : this.getDealStatus().equals(other.getDealStatus()))
            && (this.getInspectRecord() == null ? other.getInspectRecord() == null : this.getInspectRecord().equals(other.getInspectRecord()))
            && (this.getPdTime() == null ? other.getPdTime() == null : this.getPdTime().equals(other.getPdTime()))
            && (this.getLxcyTime() == null ? other.getLxcyTime() == null : this.getLxcyTime().equals(other.getLxcyTime()))
            && (this.getJltjTime() == null ? other.getJltjTime() == null : this.getJltjTime().equals(other.getJltjTime()))
            && (this.getJcyjTime() == null ? other.getJcyjTime() == null : this.getJcyjTime().equals(other.getJcyjTime()))
            && (this.getCzTime() == null ? other.getCzTime() == null : this.getCzTime().equals(other.getCzTime()))
            && (this.getStaff1() == null ? other.getStaff1() == null : this.getStaff1().equals(other.getStaff1()))
            && (this.getStaff2() == null ? other.getStaff2() == null : this.getStaff2().equals(other.getStaff2()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getEventcode() == null) ? 0 : getEventcode().hashCode());
        result = prime * result + ((getWarncode() == null) ? 0 : getWarncode().hashCode());
        result = prime * result + ((getWarningTime() == null) ? 0 : getWarningTime().hashCode());
        result = prime * result + ((getWarningType() == null) ? 0 : getWarningType().hashCode());
        result = prime * result + ((getBoatName() == null) ? 0 : getBoatName().hashCode());
        result = prime * result + ((getPassTime() == null) ? 0 : getPassTime().hashCode());
        result = prime * result + ((getWarningStatus() == null) ? 0 : getWarningStatus().hashCode());
        result = prime * result + ((getWarningDetail() == null) ? 0 : getWarningDetail().hashCode());
        result = prime * result + ((getDealContent() == null) ? 0 : getDealContent().hashCode());
        result = prime * result + ((getRemoveReason() == null) ? 0 : getRemoveReason().hashCode());
        result = prime * result + ((getDealStatus() == null) ? 0 : getDealStatus().hashCode());
        result = prime * result + ((getInspectRecord() == null) ? 0 : getInspectRecord().hashCode());
        result = prime * result + ((getPdTime() == null) ? 0 : getPdTime().hashCode());
        result = prime * result + ((getLxcyTime() == null) ? 0 : getLxcyTime().hashCode());
        result = prime * result + ((getJltjTime() == null) ? 0 : getJltjTime().hashCode());
        result = prime * result + ((getJcyjTime() == null) ? 0 : getJcyjTime().hashCode());
        result = prime * result + ((getCzTime() == null) ? 0 : getCzTime().hashCode());
        result = prime * result + ((getStaff1() == null) ? 0 : getStaff1().hashCode());
        result = prime * result + ((getStaff2() == null) ? 0 : getStaff2().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", code=").append(code);
        sb.append(", eventcode=").append(eventcode);
        sb.append(", warncode=").append(warncode);
        sb.append(", warningTime=").append(warningTime);
        sb.append(", warningType=").append(warningType);
        sb.append(", boatName=").append(boatName);
        sb.append(", passTime=").append(passTime);
        sb.append(", warningStatus=").append(warningStatus);
        sb.append(", warningDetail=").append(warningDetail);
        sb.append(", dealContent=").append(dealContent);
        sb.append(", removeReason=").append(removeReason);
        sb.append(", dealStatus=").append(dealStatus);
        sb.append(", inspectRecord=").append(inspectRecord);
        sb.append(", pdTime=").append(pdTime);
        sb.append(", lxcyTime=").append(lxcyTime);
        sb.append(", jltjTime=").append(jltjTime);
        sb.append(", jcyjTime=").append(jcyjTime);
        sb.append(", czTime=").append(czTime);
        sb.append(", staff1=").append(staff1);
        sb.append(", staff2=").append(staff2);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}