package com.shanghaichengdi.downloadcenterserver.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 船舶最低安全配员_配员证书
 *
 * @TableName MANNING_CERT_REALTIME
 */
@TableName(value = "GHJG_MSAPUB.MANNING_CERT_REALTIME")
@Data
public class ManningCertRealtime implements Serializable {

  /**
   * 流水号
   */
  @TableId(value = "SERIAL_NO")
  private String serialNo;

  /**
   * 船舶登记号
   */
  @TableField(value = "SHIP_REG_NO")
  private String shipRegNo;

  /**
   * 配员版本号
   */
  @TableField(value = "MANNING_VERSION")
  private String manningVersion;

  /**
   * 船舶类型
   */
  @TableField(value = "SHIP_TYPE")
  private String shipType;

  /**
   * 国籍版本号
   */
  @TableField(value = "NATION_VERSION")
  private String nationVersion;

  /**
   * 船舶识别号
   */
  @TableField(value = "SHIP_ID")
  private String shipId;

  /**
   * IMO编号
   */
  @TableField(value = "SHIP_IMO")
  private String shipImo;

  /**
   * 船舶呼号
   */
  @TableField(value = "SHIP_CALLSIGN")
  private String shipCallsign;

  /**
   * 中文船名
   */
  @TableField(value = "SHIP_NAME_CN")
  private String shipNameCn;

  /**
   * 英文船名
   */
  @TableField(value = "SHIP_NAME_EN")
  private String shipNameEn;

  /**
   * 船舶种类代码
   */
  @TableField(value = "SHIP_TYPE_CODE")
  private String shipTypeCode;

  /**
   * 总吨
   */
  @TableField(value = "SHIP_GROSSTON")
  private Long shipGrosston;

  /**
   * 主机功率
   */
  @TableField(value = "SHIP_ENGINE_POWER")
  private BigDecimal shipEnginePower;

  /**
   * 客位
   */
  @TableField(value = "SHIP_PASSENGER_NUM")
  private Long shipPassengerNum;

  /**
   * 船籍港代码
   */
  @TableField(value = "REGPORT_CODE")
  private String regportCode;

  /**
   * GMDSS操作员类型
   */
  @TableField(value = "GMDSS_TYPE")
  private String gmdssType;

  /**
   * 航区
   */
  @TableField(value = "NAVI_AREA")
  private String naviArea;

  /**
   * 英文航区
   */
  @TableField(value = "SAILINGAREA_EN")
  private String sailingareaEn;

  /**
   * 自动化程度代码
   */
  @TableField(value = "AUTODEGRE_CODE")
  private String autodegreCode;

  /**
   * 救生设备最大人数
   */
  @TableField(value = "RESCUE_NUM")
  private Integer rescueNum;

  /**
   * GMDSS设备装备情况
   */
  @TableField(value = "GMDSS_SITUATION")
  private String gmdssSituation;

  /**
   * 船舶公约类型
   */
  @TableField(value = "SHIPCONVEN_TYPE")
  private String shipconvenType;

  /**
   * 水域代码
   */
  @TableField(value = "WATERS_CODE")
  private String watersCode;

  /**
   * 特殊要求
   */
  @TableField(value = "SPECIAL_REQ")
  private String specialReq;

  /**
   * 定线航行标志
   */
  @TableField(value = "ROUTING_NAVI_MARK")
  private String routingNaviMark;

  /**
   * 定线航行起始地点
   */
  @TableField(value = "ROUTING_NAVI_START")
  private String routingNaviStart;

  /**
   * 定线航行终止地点
   */
  @TableField(value = "ROUTING_NAVI_END")
  private String routingNaviEnd;

  /**
   * 证书起始有效期
   */
  @TableField(value = "EXPDATE_START")
  private Date expdateStart;

  /**
   * 证书截止有效期
   */
  @TableField(value = "EXPDATE_END")
  private Date expdateEnd;

  /**
   * 状态标志
   */
  @TableField(value = "STATUS_FLAG")
  private String statusFlag;

  /**
   * 打印标志
   */
  @TableField(value = "PRINT_FLAG")
  private String printFlag;

  /**
   * 组织机构ID
   */
  @TableField(value = "ORG_ID")
  private String orgId;

  /**
   * 备注
   */
  @TableField(value = "REMARK")
  private String remark;

  /**
   * 英文备注
   */
  @TableField(value = "REMARK_EN")
  private String remarkEn;

  /**
   * 背书
   */
  @TableField(value = "ENDORSE")
  private String endorse;

  /**
   * 证书印刷号
   */
  @TableField(value = "CERT_PRINT_NO")
  private String certPrintNo;

  /**
   * 注销登记号码
   */
  @TableField(value = "REG_DELETION_NO")
  private String regDeletionNo;

  /**
   * 证书编号
   */
  @TableField(value = "CERT_SERIAL_NO")
  private String certSerialNo;

  /**
   * 签发机关
   */
  @TableField(value = "ISSU_ORG_CODE")
  private String issuOrgCode;

  /**
   * 签发地点
   */
  @TableField(value = "ISSUE_PLACE")
  private String issuePlace;

  /**
   * 签发日期
   */
  @TableField(value = "ISSU_DATE")
  private Date issuDate;

  /**
   * 证书打印机关
   */
  @TableField(value = "CERT_PRINT_ORG_CODE")
  private String certPrintOrgCode;

  /**
   * 证书打印日期
   */
  @TableField(value = "CERT_PRINT_DATE")
  private Date certPrintDate;

  /**
   * 自助打印标志
   */
  @TableField(value = "SELFPRINT_SIGN")
  private String selfprintSign;

  /**
   * 自助打印次数
   */
  @TableField(value = "SELFPRINT_NUM")
  private Long selfprintNum;

  /**
   * 自助打印IP
   */
  @TableField(value = "SELFPRINT_IP")
  private String selfprintIp;

  /**
   * 申办单号
   */
  @TableField(value = "BID_NO")
  private String bidNo;

  /**
   * 无效形式
   */
  @TableField(value = "INVA_FORM")
  private String invaForm;

  /**
   * 作废人姓名
   */
  @TableField(value = "INVAMAN_NAME")
  private String invamanName;

  /**
   * 作废日期
   */
  @TableField(value = "INVA_DATE")
  private Date invaDate;

  /**
   * 无效原因
   */
  @TableField(value = "INVA_TYPE")
  private String invaType;

  /**
   * 作废原因
   */
  @TableField(value = "INVAREASON")
  private String invareason;

  /**
   * 作废人代码
   */
  @TableField(value = "INVAMAN_ID")
  private String invamanId;

  /**
   * 作废人IP
   */
  @TableField(value = "INVAMAN_IP")
  private String invamanIp;

  /**
   * 创建人机构代码
   */
  @TableField(value = "CREATER_ORG_ID")
  private String createrOrgId;

  /**
   * 创建人代码
   */
  @TableField(value = "CREATER_ID")
  private String createrId;

  /**
   * 创建人姓名
   */
  @TableField(value = "CREATER_NAME")
  private String createrName;

  /**
   * 创建时间
   */
  @TableField(value = "CREATING_TIME")
  private Date creatingTime;

  /**
   * 创建IP
   */
  @TableField(value = "CREATING_IP")
  private String creatingIp;

  /**
   * 操作员机构代码
   */
  @TableField(value = "OPERATOR_ORG_ID")
  private String operatorOrgId;

  /**
   * 操作员代码
   */
  @TableField(value = "OPERATOR_ID")
  private String operatorId;

  /**
   * 操作员姓名
   */
  @TableField(value = "OPERATOR_NAME")
  private String operatorName;

  /**
   * 操作时间
   */
  @TableField(value = "OPERATING_TIME")
  private Date operatingTime;

  /**
   * 操作IP
   */
  @TableField(value = "OPERATING_IP")
  private String operatingIp;

  /**
   * 受理机构
   */
  @TableField(value = "ACCEPT_ORG")
  private String acceptOrg;

  /**
   * 受理时间
   */
  @TableField(value = "ACCEPT_TIME")
  private Date acceptTime;

  /**
   * 适用范围中文
   */
  @TableField(value = "APPLY_SCOPE_CN")
  private String applyScopeCn;

  /**
   * 证书版本
   */
  @TableField(value = "CERT_VERSION")
  private String certVersion;

  /**
   * 特殊船舶类型
   */
  @TableField(value = "SPECIAL_TYPE")
  private String specialType;

  /**
   * 适用规则
   */
  @TableField(value = "USER_RULE")
  private String userRule;

  /**
   * 源系统代码
   */
  @TableField(value = "SOURCE_CODE")
  private String sourceCode;

  /**
   * 数据来源
   */
  @TableField(value = "DATA_ORG_CODE")
  private String dataOrgCode;

  /**
   * 创建日期
   */
  @TableField(value = "CREATE_DATE")
  private Date createDate;

  /**
   * 创建记录的用户或进程
   */
  @TableField(value = "CREATOR")
  private String creator;

  /**
   * 最后更新日期
   */
  @TableField(value = "LAST_UPDATE_DATE")
  private Date lastUpdateDate;

  /**
   * 最近更新的用户或进程
   */
  @TableField(value = "UPDATE_BY")
  private String updateBy;

  /**
   * 删除标志1是0否
   */
  @TableField(value = "DELETE_FLAG")
  private String deleteFlag;

  /**
   * LANDING 到 共享库的同步状态
   */
  @TableField(value = "PROCESS_STATUS")
  private String processStatus;

  @TableField(exist = false)
  private static final long serialVersionUID = 1L;
}