package com.shanghaichengdi.downloadcenterserver.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * （临时）船舶国籍证书签发_船舶国籍证书签发信息
 * @TableName NATIONAL_ISS_INFO_REALTIME
 */
@TableName(value ="GHJG_MSAPUB.NATIONAL_ISS_INFO_REALTIME")
@Data
public class NationalIssInfoRealtime implements Serializable {
    /**
     * 船舶登记号
     */
    @TableId(value = "SHIP_REG_NO")
    private String shipRegNo;

    /**
     * 国籍版本号
     */
    @TableField(value = "NATION_VERSION")
    private String nationVersion;

    /**
     * 是否临时国籍证书
     */
    @TableField(value = "TEMP_NATION_FLAG")
    private String tempNationFlag;

    /**
     * 中英文类型
     */
    @TableField(value = "LANGUAGE_TYPE")
    private String languageType;

    /**
     * 船舶经营人
     */
    @TableField(value = "SHIP_OPERATOR_CN")
    private String shipOperatorCn;

    /**
     * 船舶经营人地址
     */
    @TableField(value = "SHIP_OPERATOR_ADDR_CN")
    private String shipOperatorAddrCn;

    /**
     * 经营人法人代表
     */
    @TableField(value = "OPERATOR_LEGAL_PERSON")
    private String operatorLegalPerson;

    /**
     * 经营人联系电话
     */
    @TableField(value = "OPERATOR_CONTACT_PHONE")
    private String operatorContactPhone;

    /**
     * 经营人邮政编码
     */
    @TableField(value = "OPERATOR_POSTALCODE")
    private String operatorPostalcode;

    /**
     * 船舶管埋人
     */
    @TableField(value = "SHIP_MANAGER_CN")
    private String shipManagerCn;

    /**
     * 船舶管理人地址
     */
    @TableField(value = "SHIP_MANAGER_ADDR_CN")
    private String shipManagerAddrCn;

    /**
     * 管理人法人代表
     */
    @TableField(value = "MANAGER_LEGAL_PERSON")
    private String managerLegalPerson;

    /**
     * 管理人联系电话
     */
    @TableField(value = "MANAGER_CONTACT_PHONE")
    private String managerContactPhone;

    /**
     * 管理人邮政编码
     */
    @TableField(value = "MANAGER_POSTALCODE")
    private String managerPostalcode;

    /**
     * 船舶所有人
     */
    @TableField(value = "SHIP_OWNER_CN")
    private String shipOwnerCn;

    /**
     * 船舶所有人地址
     */
    @TableField(value = "SHIP_OWNER_ADDR_CN")
    private String shipOwnerAddrCn;

    /**
     * 英文船舶经营人
     */
    @TableField(value = "SHIP_OPERATOR_EN")
    private String shipOperatorEn;

    /**
     * 英文船舶经营人地址
     */
    @TableField(value = "SHIP_OPERATOR_ADDR_EN")
    private String shipOperatorAddrEn;

    /**
     * 英文船舶所有人
     */
    @TableField(value = "SHIP_OWNER_EN")
    private String shipOwnerEn;

    /**
     * 英文船舶所有人地址
     */
    @TableField(value = "SHIP_OWNER_ADDR_EN")
    private String shipOwnerAddrEn;

    /**
     * 起始有效期
     */
    @TableField(value = "EFFECTIVE_DATE")
    private Date effectiveDate;

    /**
     * 截至有效期
     */
    @TableField(value = "EXPIRE_DATE")
    private Date expireDate;

    /**
     * 取得日期
     */
    @TableField(value = "CERT_OBTAIN_DATE")
    private Date certObtainDate;

    /**
     * 状态标志
     */
    @TableField(value = "STATUS_FLAG")
    private String statusFlag;

    /**
     * 打印标志
     */
    @TableField(value = "PRINT_FLAG")
    private String printFlag;

    /**
     * 印章标志
     */
    @TableField(value = "SEAL_FLAG")
    private String sealFlag;

    /**
     * 校核标志
     */
    @TableField(value = "CHECK_FLAG")
    private String checkFlag;

    /**
     * 发放标志
     */
    @TableField(value = "ISSUE_FLAG")
    private String issueFlag;

    /**
     * 机构代码
     */
    @TableField(value = "ORG_CODE")
    private String orgCode;

    /**
     * 证书印刷号
     */
    @TableField(value = "CERT_PRINT_NO")
    private String certPrintNo;

    /**
     * 注销登记号码
     */
    @TableField(value = "REG_DELETION_NO")
    private String regDeletionNo;

    /**
     * 备注
     */
    @TableField(value = "REMARK")
    private String remark;

    /**
     * 创建员代码
     */
    @TableField(value = "CREATOR_CODE")
    private String creatorCode;

    /**
     * 创建时间
     */
    @TableField(value = "CREATE_TIME")
    private Date createTime;

    /**
     * 操作员代码
     */
    @TableField(value = "OPERATOR_CODE")
    private String operatorCode;

    /**
     * 操作时间
     */
    @TableField(value = "OPERATE_TIME")
    private Date operateTime;

    /**
     * 操作标志
     */
    @TableField(value = "OPERATE_FLAG")
    private String operateFlag;

    /**
     * 源系统代码
     */
    @TableField(value = "SOURCE_CODE")
    private String sourceCode;

    /**
     * 数据来源
     */
    @TableField(value = "DATA_ORG_CODE")
    private String dataOrgCode;

    /**
     * 创建日期
     */
    @TableField(value = "CREATE_DATE")
    private Date createDate;

    /**
     * 创建记录的用户或进程
     */
    @TableField(value = "CREATOR")
    private String creator;

    /**
     * 最后更新日期
     */
    @TableField(value = "LAST_UPDATE_DATE")
    private Date lastUpdateDate;

    /**
     * 最近更新的用户或进程
     */
    @TableField(value = "UPDATE_BY")
    private String updateBy;

    /**
     * 删除标志1是0否
     */
    @TableField(value = "DELETE_FLAG")
    private String deleteFlag;

    /**
     * LANDING 到 共享库的同步状态
     */
    @TableField(value = "PROCESS_STATUS")
    private String processStatus;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}