package com.shanghaichengdi.downloadcenterserver.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 图像分析
 * @TableName VIDEO_ANALYSIS
 */
@TableName(value ="bayonet_dynamic.VIDEO_ANALYSIS")
@Data
public class VideoAnalysis implements Serializable {
    /**
     * 
     */
    @TableField(value = "ID")
    private String id;

    /**
     * 
     */
    @TableField(value = "NAME")
    private String name;

    /**
     * 
     */
    @TableField(value = "DIR")
    private String dir;

    /**
     * 
     */
    @TableField(value = "TIME")
    private Date time;

    /**
     * 0:上行;1:下行
     */
    @TableField(value = "DIRECT")
    private String direct;

    /**
     * 
     */
    @TableField(value = "PHOTONAME")
    private String photoname;

    /**
     * 船舶名称识别类型:1完全匹配，2:缺字匹配，3:错字匹配，4：联合匹配，5：未匹配
     */
    @TableField(value = "IDENTITYTYPE")
    private Long identitytype;

    /**
     * 主表编号
     */
    @TableField(value = "EVENTCODE")
    private String eventcode;

    /**
     * 
     */
    @TableField(value = "BAYONET_ID")
    private String bayonetId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        VideoAnalysis other = (VideoAnalysis) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getDir() == null ? other.getDir() == null : this.getDir().equals(other.getDir()))
            && (this.getTime() == null ? other.getTime() == null : this.getTime().equals(other.getTime()))
            && (this.getDirect() == null ? other.getDirect() == null : this.getDirect().equals(other.getDirect()))
            && (this.getPhotoname() == null ? other.getPhotoname() == null : this.getPhotoname().equals(other.getPhotoname()))
            && (this.getIdentitytype() == null ? other.getIdentitytype() == null : this.getIdentitytype().equals(other.getIdentitytype()))
            && (this.getEventcode() == null ? other.getEventcode() == null : this.getEventcode().equals(other.getEventcode()))
            && (this.getBayonetId() == null ? other.getBayonetId() == null : this.getBayonetId().equals(other.getBayonetId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getDir() == null) ? 0 : getDir().hashCode());
        result = prime * result + ((getTime() == null) ? 0 : getTime().hashCode());
        result = prime * result + ((getDirect() == null) ? 0 : getDirect().hashCode());
        result = prime * result + ((getPhotoname() == null) ? 0 : getPhotoname().hashCode());
        result = prime * result + ((getIdentitytype() == null) ? 0 : getIdentitytype().hashCode());
        result = prime * result + ((getEventcode() == null) ? 0 : getEventcode().hashCode());
        result = prime * result + ((getBayonetId() == null) ? 0 : getBayonetId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", dir=").append(dir);
        sb.append(", time=").append(time);
        sb.append(", direct=").append(direct);
        sb.append(", photoname=").append(photoname);
        sb.append(", identitytype=").append(identitytype);
        sb.append(", eventcode=").append(eventcode);
        sb.append(", bayonetId=").append(bayonetId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}