package com.shanghaichengdi.downloadcenterserver.scheduler;

import com.shanghaichengdi.downloadcenterserver.service.VideoAnalysisService;
import com.shanghaichengdi.downloadcenterserver.util.PrintLogUtils;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class OffSiteCaseScheduler {

  @Resource
  private VideoAnalysisService videoAnalysisService;


//  @Scheduled(cron = "0 0 0 25 * ?")
  public void generateData() {
    try {
      LocalDate startDate = LocalDate.of(2024, 8, 1); // 指定开始日期
      LocalDate currentDate = LocalDate.now(); // 当前日期
      List<String> dateStrings = new ArrayList<>();
      DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd");
      while (!startDate.isAfter(currentDate)) {
        dateStrings.add(startDate.format(formatter));
        startDate = startDate.plusDays(1);
      }
      for (String dateString : dateStrings) {
        videoAnalysisService.complements(dateString);
        Thread.sleep(1000);
      }
    } catch (Exception e) {
      log.error("补数过程中出错,原因:{}", e.getMessage());
      PrintLogUtils.printErrorLogInfo(e);
    }
  }
}
