package com.shanghaichengdi.downloadcenterserver.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shanghaichengdi.downloadcenterserver.domain.VideoAnalysis;
import com.shanghaichengdi.downloadcenterserver.mapper.VideoAnalysisMapper;
import com.shanghaichengdi.downloadcenterserver.service.VideoAnalysisService;
import com.shanghaichengdi.downloadcenterserver.util.HTTPUtil;
import com.shanghaigeography.Util.DateUtils;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import javax.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author 14390
 * @description 针对表【VIDEO_ANALYSIS(图像分析)】的数据库操作Service实现
 * @createDate 2024-08-27 16:19:02
 */
@Service
@Slf4j
public class VideoAnalysisServiceImpl extends ServiceImpl<VideoAnalysisMapper, VideoAnalysis>
    implements VideoAnalysisService {

  @Resource
  private VideoAnalysisMapper mapper;


  @Override
  public void complements(String time) {
    log.info("开始生成:{} 这一天的数据", time);
    List<VideoAnalysis> videoAnalyseList = mapper.selectData(time);
    for (VideoAnalysis videoAnalysis : videoAnalyseList) {
      if (!"8".equals(videoAnalysis.getBayonetId())) {
        List<String> imageList = Arrays.stream(videoAnalysis.getPhotoname().split(";"))
            .collect(Collectors.toList());
        Map<String, Object> params = new HashMap<>(2);
        params.put("imageUrls", (List<String>) imageList);
        params.put("passTime", DateUtils.dateToString(videoAnalysis.getTime(),DateUtils.DATE_FORMAT_19));
        params.put("id", videoAnalysis.getEventcode());
        params.put("bayonetId", videoAnalysis.getBayonetId());
        HTTPUtil.httpClientPost(
            "http://10.121.41.4:8090/download/pictures/history",
            JSONObject.toJSON(params).toString(),
            "UTF-8");
      }
    }
    log.info("{} 的数据生成结束", time);
  }
}




